> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unzip file and return PDFs (async)

> Given a document ID representing a ZIP file, unzip it, traverse the directory structure and return all PDFs found as a list of documents



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/documents/{documentId}/unzip-async
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/documents/{documentId}/unzip-async:
    post:
      tags:
        - Document
      summary: Unzip file and return PDFs (async)
      description: >-
        Given a document ID representing a ZIP file, unzip it, traverse the
        directory structure and return all PDFs found as a list of documents
      parameters:
        - schema:
            type: string
          in: path
          name: documentId
          required: true
          description: The ID of the document to unzip. Must be a ZIP file.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  asyncResultId:
                    type: string
                    description: The ID of the async result for this job.
                required:
                  - asyncResultId
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: >-
                      Not Found, the document with the specified ID does not
                      exist.
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error while unzipping the file.
                required:
                  - error
                additionalProperties: false

````